<template>
  <v-app dark>
    <v-navigation-drawer
      v-model="drawer"
      :mini-variant="miniVariant"
      :clipped="clipped"
      fixed
      app
    >
      <v-sheet height="100%" class="d-flex flex-column-reverse">
        <v-list>
          <v-list-item
            v-for="(item, i) in items"
            :key="i"
            :to="item.to"
            router
            exact
          >
            <v-list-item-action>
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-item-action>
            <v-list-item-content>
              <v-list-item-title v-text="item.title" />
            </v-list-item-content>
          </v-list-item>
        </v-list>
      </v-sheet>
    </v-navigation-drawer>
    <v-app-bar
      :clipped-left="clipped"
      fixed
      app
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer" />
      <v-toolbar-title v-text="title" />
      <v-spacer />
    </v-app-bar>
    <v-main>
      <v-container>
        <Nuxt />
      </v-container>
    </v-main>
  </v-app>
</template>

<style lang="scss" scoped>
  @import '~/assets/variables.scss';
  ::v-deep .v-main {
    padding-top: $v-bar-height !important;
  }
  ::v-deep .v-toolbar {
    height: $v-bar-height !important;
  }
  ::v-deep .v-toolbar__content {
    height: $v-bar-height !important;
  }
  ::v-deep .v-data-table__mobile-row {
    min-height: $mobile-row-min-height !important;
  }
  ::v-deep .col-12 {
    padding: $col-padding;
  }
</style>

<script>
export default {
  data () {
    return {
      clipped: false,
      drawer: false,
      items: [
        {
          icon: 'mdi-content-save',
          title: '設定',
          to: '/settings'
        },
        {
          icon: 'mdi-gas-station',
          title: '給油',
          to: '/gasdata'
        },
        {
          icon: 'mdi-gmail',
          title: '整備記録',
          to: '/maintenance'
        },
        {
          icon: 'mdi-clock-fast',
          title: 'ベストラップ',
          to: '/bestlaps'
        },
        {
          icon: 'mdi-tune',
          title: 'アライメント',
          to: '/alignment'
        },
      ],
      miniVariant: false,
      title: 'Car Info'
    }
  }
}
</script>
